import { CommandResult, SupportedIntegrationTypesToListSnykTargets } from '../lib/types';
export declare const command: string[];
export declare const desc = "List all targets imported in Snyk for a given group & source type. An analysis is performed on all current organizations and their projects to generate this. The generated file can be used to skip previously imported targets when running the `import` command";
export declare const builder: {
    groupId: {
        required: boolean;
        default: undefined;
        desc: string;
    };
    orgId: {
        required: boolean;
        default: undefined;
        desc: string;
    };
    integrationType: {
        required: boolean;
        default: SupportedIntegrationTypesToListSnykTargets[];
        choices: SupportedIntegrationTypesToListSnykTargets[];
        desc: string;
    };
};
export declare function createListImported(integrationType: SupportedIntegrationTypesToListSnykTargets, groupId?: string, orgId?: string): Promise<CommandResult>;
export declare function handler(argv: {
    groupId?: string;
    orgId?: string;
    integrationType: SupportedIntegrationTypesToListSnykTargets;
}): Promise<void>;
