import type { CommandResult } from '../lib/types';
export declare const command: string[];
export declare const desc = "Create the organizations in Snyk based on data file generated with `orgs:data` command. Output generates key data for created and existing organizations for use to generate project import data.";
export declare const builder: {
    file: {
        required: boolean;
        default: undefined;
        desc: string;
    };
    noDuplicateNames: {
        required: boolean;
        desc: string;
    };
    includeExistingOrgsInOutput: {
        required: boolean;
        default: boolean;
        desc: string;
    };
};
export declare function createOrg(file: string, includeExistingOrgsInOutput: boolean, noDuplicateNames?: boolean): Promise<CommandResult>;
export declare function handler(argv: {
    file: string;
    includeExistingOrgsInOutput: boolean;
    noDuplicateNames?: boolean;
}): Promise<void>;
