import { CommandResult, SupportedIntegrationTypesImportOrgData } from '../lib/types';
export declare const command: string[];
export declare const desc = "Generate data required for Orgs to be created via API by mirroring a given source.\n";
export declare const builder: {
    sourceOrgPublicId: {
        required: boolean;
        default: undefined;
        desc: string;
    };
    groupId: {
        required: boolean;
        default: undefined;
        desc: string;
    };
    sourceUrl: {
        required: boolean;
        default: undefined;
        desc: string;
    };
    skipEmptyOrgs: {
        required: boolean;
        desc: string;
    };
    source: {
        required: boolean;
        default: SupportedIntegrationTypesImportOrgData;
        choices: SupportedIntegrationTypesImportOrgData[];
        desc: string;
    };
};
export declare function generateOrgImportData(source: SupportedIntegrationTypesImportOrgData, groupId: string, sourceOrgPublicId?: string, sourceUrl?: string, skipEmptyOrgs?: boolean): Promise<CommandResult>;
export declare function handler(argv: {
    source: SupportedIntegrationTypesImportOrgData;
    groupId: string;
    sourceOrgPublicId?: string;
    sourceUrl?: string;
    skipEmptyOrgs?: boolean;
}): Promise<void>;
