import type { CommandResult, SyncTargetsConfig } from '../lib/types';
import { SupportedProductsUpdateProject } from '../lib/types';
import { SupportedIntegrationTypesUpdateProject } from '../lib/types';
export declare const command: string[];
export declare const desc = "Sync targets (e.g. repos) and their projects between Snyk and SCM for a given organization. Actions include:\n - updating monitored branch in Snyk to match the default branch from SCM";
export declare const builder: {
    orgPublicId: {
        required: boolean;
        default: undefined;
        desc: string;
    };
    sourceUrl: {
        required: boolean;
        default: undefined;
        desc: string;
    };
    source: {
        required: boolean;
        default: SupportedIntegrationTypesUpdateProject;
        choices: SupportedIntegrationTypesUpdateProject[];
        desc: string;
    };
    dryRun: {
        required: boolean;
        default: boolean;
        desc: string;
    };
    snykProduct: {
        required: boolean;
        default: SupportedProductsUpdateProject;
        choices: SupportedProductsUpdateProject[];
        desc: string;
    };
    exclusionGlobs: {
        required: boolean;
        default: undefined;
        desc: string;
    };
};
export declare function syncOrg(source: SupportedIntegrationTypesUpdateProject[], orgPublicId: string, sourceUrl: string | undefined, config?: SyncTargetsConfig): Promise<CommandResult>;
export declare function handler(argv: {
    source: SupportedIntegrationTypesUpdateProject;
    orgPublicId: string;
    sourceUrl?: string;
    dryRun?: boolean;
    snykProduct?: SupportedProductsUpdateProject[];
    exclusionGlobs?: string | string[];
}): Promise<void>;
