import 'source-map-support/register';
import { requestsManager } from 'snyk-request-manager';
import { Org } from '../../types';
export interface CreatedOrgResponse {
    id: string;
    name: string;
    created: string;
}
export declare function createOrg(requestManager: requestsManager, groupId: string, name: string, sourceOrgId?: string): Promise<CreatedOrgResponse>;
export interface ListOrgsResponse {
    id: string;
    name: string;
    url: string;
    orgs: Omit<Org, 'group'>[];
}
export declare function listOrgs(requestManager: requestsManager, groupId: string, params: {
    perPage: number;
    page: number;
}): Promise<Org[]>;
export declare function listOrgsPerPage(requestManager: requestsManager, groupId: string, pageNumber?: number, perPage?: number): Promise<{
    orgs: Org[];
    hasNextPage: boolean;
}>;
export declare function getAllOrgs(requestManager: requestsManager, groupId: string): Promise<Org[]>;
