import 'source-map-support/register';
import type { requestsManager } from 'snyk-request-manager';
import type { SnykProject, SnykTarget } from '../../types';
export interface IntegrationsListResponse {
    [name: string]: string;
}
export declare function listIntegrations(requestManager: requestsManager, orgId: string): Promise<IntegrationsListResponse>;
interface NotificationSettings {
    [name: string]: {
        enabled?: boolean;
        issueSeverity?: string;
        issueType?: string;
    };
}
export declare function setNotificationPreferences(requestManager: requestsManager, orgId: string, orgName: string, settings?: NotificationSettings): Promise<IntegrationsListResponse>;
export declare function deleteOrg(requestManager: requestsManager, orgId: string): Promise<unknown>;
export interface ProjectsResponse {
    org: {
        id: string;
    };
    projects: SnykProject[];
}
interface ProjectsFilters {
    name?: string;
    origin?: string;
    type?: string;
    isMonitored?: boolean;
    targetId?: string;
    limit?: number;
}
export declare function listProjects(requestManager: requestsManager, orgId: string, filters?: ProjectsFilters): Promise<ProjectsResponse>;
export interface TargetFilters {
    remoteUrl?: string;
    limit?: number;
    isPrivate?: boolean;
    origin?: string;
    displayName?: string;
    excludeEmpty?: boolean;
}
export declare function listTargets(requestManager: requestsManager, orgId: string, config?: TargetFilters): Promise<{
    targets: SnykTarget[];
}>;
export declare function listAllSnykTargets(requestManager: requestsManager, orgId: string, config?: TargetFilters): Promise<SnykTarget[]>;
export declare function getSnykTarget(requestManager: requestsManager, orgId: string, nextPageLink?: string, config?: {
    limit?: number;
    excludeEmpty?: boolean;
    origin?: string;
}): Promise<{
    targets: SnykTarget[];
    next?: string;
}>;
export {};
