"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateBranch = void 0;
const debug = require("debug");
const project_1 = require("../api/project");
async function updateBranch(requestManager, project, defaultBranch, orgId, dryRun = false) {
    const { branch, projectPublicId } = project;
    let updated = false;
    try {
        if (branch != defaultBranch) {
            debug(`Default branch has changed for Snyk project ${projectPublicId}`);
            if (!dryRun) {
                await project_1.updateProject(requestManager, orgId, project.projectPublicId, {
                    branch: defaultBranch,
                });
            }
            else {
                debug(`Skipping API call to change branch in --dryRun mode`);
            }
            updated = true;
        }
        else {
            debug(`Default branch has not changed`);
        }
        return { updated };
    }
    catch (e) {
        throw new Error(`Failed to update project ${projectPublicId} via Snyk API. ERROR: ${e.message}`);
    }
}
exports.updateBranch = updateBranch;
//# sourceMappingURL=update-branch.js.map