"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bitbucketServerProjectIsEmpty = void 0;
const get_bitbucket_server_token_1 = require("./get-bitbucket-server-token");
const list_repos_1 = require("./list-repos");
async function bitbucketServerProjectIsEmpty(projectKey, sourceUrl) {
    const bitbucketServerToken = get_bitbucket_server_token_1.getBitbucketServerToken();
    if (!sourceUrl) {
        throw new Error('Please provide required `sourceUrl` for Bitbucket Server source');
    }
    const repos = await list_repos_1.fetchAllRepos(sourceUrl, projectKey, bitbucketServerToken);
    if (!repos || repos.length === 0) {
        return true;
    }
    return false;
}
exports.bitbucketServerProjectIsEmpty = bitbucketServerProjectIsEmpty;
//# sourceMappingURL=project-is-empty.js.map