"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.githubOrganizationIsEmpty = void 0;
const rest_1 = require("@octokit/rest");
const plugin_retry_1 = require("@octokit/plugin-retry");
const github_base_url_1 = require("./github-base-url");
const debugLib = require("debug");
const list_repos_1 = require("./list-repos");
const get_github_token_1 = require("./get-github-token");
const debug = debugLib('snyk:github');
const githubClient = rest_1.Octokit.plugin(plugin_retry_1.retry);
async function githubOrganizationIsEmpty(orgName, host) {
    const githubToken = get_github_token_1.getGithubToken();
    const baseUrl = github_base_url_1.getGithubBaseUrl(host);
    const octokit = new githubClient({ baseUrl, auth: githubToken });
    debug(`Fetching 1 page of repos data for org: ${orgName}`);
    const perPage = 1;
    const { repos } = await list_repos_1.fetchReposForPage(octokit, orgName, undefined, perPage);
    if (!repos || repos.length === 0) {
        return true;
    }
    return false;
}
exports.githubOrganizationIsEmpty = githubOrganizationIsEmpty;
//# sourceMappingURL=organization-is-empty.js.map