"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.gitlabGroupIsEmpty = void 0;
const node_1 = require("@gitbeaker/node");
const debugLib = require("debug");
const list_repos_1 = require("./list-repos");
const get_base_url_1 = require("./get-base-url");
const get_token_1 = require("./get-token");
const debug = debugLib('snyk:github');
async function gitlabGroupIsEmpty(groupName, host) {
    const token = get_token_1.getToken();
    const baseUrl = get_base_url_1.getBaseUrl(host);
    const client = new node_1.Gitlab({ host: baseUrl, token });
    debug(`Fetching 1 page of projects data for group: ${groupName}`);
    const perPage = 1;
    const { repos } = await list_repos_1.fetchGitlabReposForPage(client, groupName, undefined, perPage);
    if (!repos || repos.length === 0) {
        return true;
    }
    return false;
}
exports.gitlabGroupIsEmpty = gitlabGroupIsEmpty;
//# sourceMappingURL=group-is-empty.js.map