"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProjectUpdateType = exports.SupportedIntegrationTypesToListSnykTargets = exports.productEntitlements = exports.SupportedProductsUpdateProject = exports.SupportedIntegrationTypesUpdateProject = exports.SupportedIntegrationTypesImportOrgData = exports.SupportedIntegrationTypesImportData = exports.Status = void 0;
var Status;
(function (Status) {
    Status["PENDING"] = "pending";
    Status["FAILED"] = "failed";
    Status["COMPLETE"] = "complete";
})(Status = exports.Status || (exports.Status = {}));
// used to generate import data by connecting to the source via API
// and listing all repos / targets per given org
var SupportedIntegrationTypesImportData;
(function (SupportedIntegrationTypesImportData) {
    SupportedIntegrationTypesImportData["GITHUB"] = "github";
    SupportedIntegrationTypesImportData["GHE"] = "github-enterprise";
    SupportedIntegrationTypesImportData["GITLAB"] = "gitlab";
    SupportedIntegrationTypesImportData["AZURE_REPOS"] = "azure-repos";
    SupportedIntegrationTypesImportData["BITBUCKET_SERVER"] = "bitbucket-server";
    SupportedIntegrationTypesImportData["BITBUCKET_CLOUD"] = "bitbucket-cloud";
})(SupportedIntegrationTypesImportData = exports.SupportedIntegrationTypesImportData || (exports.SupportedIntegrationTypesImportData = {}));
// used to generate import data by connecting to the source via API
// and listing all orgs
var SupportedIntegrationTypesImportOrgData;
(function (SupportedIntegrationTypesImportOrgData) {
    SupportedIntegrationTypesImportOrgData["GITHUB"] = "github";
    SupportedIntegrationTypesImportOrgData["GHE"] = "github-enterprise";
    SupportedIntegrationTypesImportOrgData["GITLAB"] = "gitlab";
    SupportedIntegrationTypesImportOrgData["BITBUCKET_SERVER"] = "bitbucket-server";
    SupportedIntegrationTypesImportOrgData["BITBUCKET_CLOUD"] = "bitbucket-cloud";
})(SupportedIntegrationTypesImportOrgData = exports.SupportedIntegrationTypesImportOrgData || (exports.SupportedIntegrationTypesImportOrgData = {}));
var SupportedIntegrationTypesUpdateProject;
(function (SupportedIntegrationTypesUpdateProject) {
    SupportedIntegrationTypesUpdateProject["GITHUB"] = "github";
    SupportedIntegrationTypesUpdateProject["GHE"] = "github-enterprise";
})(SupportedIntegrationTypesUpdateProject = exports.SupportedIntegrationTypesUpdateProject || (exports.SupportedIntegrationTypesUpdateProject = {}));
var SupportedProductsUpdateProject;
(function (SupportedProductsUpdateProject) {
    SupportedProductsUpdateProject["CONTAINER"] = "container";
    SupportedProductsUpdateProject["OPEN_SOURCE"] = "open-source";
    SupportedProductsUpdateProject["IAC"] = "iac";
})(SupportedProductsUpdateProject = exports.SupportedProductsUpdateProject || (exports.SupportedProductsUpdateProject = {}));
exports.productEntitlements = {
    [SupportedProductsUpdateProject.IAC]: 'infrastructureAsCode',
    [SupportedProductsUpdateProject.OPEN_SOURCE]: 'openSource',
    [SupportedProductsUpdateProject.CONTAINER]: 'dockerfileFromScm',
};
// used to generate imported targets that exist in Snyk
// when we need to grab the integrationId from Snyk
var SupportedIntegrationTypesToListSnykTargets;
(function (SupportedIntegrationTypesToListSnykTargets) {
    SupportedIntegrationTypesToListSnykTargets["GITHUB"] = "github";
    SupportedIntegrationTypesToListSnykTargets["GHE"] = "github-enterprise";
    SupportedIntegrationTypesToListSnykTargets["BITBUCKET_CLOUD"] = "bitbucket-cloud";
    SupportedIntegrationTypesToListSnykTargets["GCR"] = "gcr";
    SupportedIntegrationTypesToListSnykTargets["DOCKER_HUB"] = "docker-hub";
    SupportedIntegrationTypesToListSnykTargets["GITLAB"] = "gitlab";
    SupportedIntegrationTypesToListSnykTargets["AZURE_REPOS"] = "azure-repos";
    SupportedIntegrationTypesToListSnykTargets["BITBUCKET_SERVER"] = "bitbucket-server";
})(SupportedIntegrationTypesToListSnykTargets = exports.SupportedIntegrationTypesToListSnykTargets || (exports.SupportedIntegrationTypesToListSnykTargets = {}));
var ProjectUpdateType;
(function (ProjectUpdateType) {
    ProjectUpdateType["BRANCH"] = "branch";
    ProjectUpdateType["DEACTIVATE"] = "deactivate";
    ProjectUpdateType["IMPORT"] = "import";
})(ProjectUpdateType = exports.ProjectUpdateType || (exports.ProjectUpdateType = {}));
//# sourceMappingURL=types.js.map