"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadFile = void 0;
const fs = require("fs");
const path = require("path");
const debugLib = require("debug");
const debug = debugLib('snyk:load-file');
async function loadFile(name) {
    const filename = path.resolve(process.cwd(), name);
    try {
        return await fs.readFileSync(filename, 'utf8');
    }
    catch (error) {
        debug(error.message);
        throw new Error(`File can not be found at location: ${filename}`);
    }
}
exports.loadFile = loadFile;
//# sourceMappingURL=load-file.js.map