"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logCreatedOrg = void 0;
const debugLib = require("debug");
const bunyan = require("bunyan");
const lib_1 = require("../lib");
const common_1 = require("../common");
const debug = debugLib('snyk:create-orgs-script');
async function logCreatedOrg(groupId, origName, orgData, integrationsData, loggingPath = lib_1.getLoggingPath()) {
    const log = bunyan.createLogger({
        name: 'snyk:create-orgs-script',
        level: 'info',
        streams: [
            {
                level: 'info',
                path: `${loggingPath}/${groupId}.${common_1.CREATED_ORG_LOG_NAME}`,
            },
        ],
    });
    try {
        const integrations = Object.keys(integrationsData).map((i) => `${i}:${integrationsData[i]}`);
        const { id, name, created } = orgData;
        log.info({ origName, id, name, created, integrations }, 'Created org');
    }
    catch (e) {
        debug('Failed to log created organizations at location: ', `${loggingPath}/${groupId}.${common_1.CREATED_ORG_LOG_NAME}`, e);
        // do nothing
    }
}
exports.logCreatedOrg = logCreatedOrg;
//# sourceMappingURL=log-created-org.js.map