"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logFailedImports = void 0;
const debugLib = require("debug");
const bunyan = require("bunyan");
const lib_1 = require("./../lib");
const common_1 = require("./../common");
const debug = debugLib('snyk:import-projects-script');
async function logFailedImports(orgId, integrationId, target, errorData, loggingPath = lib_1.getLoggingPath(), locationUrl) {
    const log = bunyan.createLogger({
        name: 'snyk:import-projects-script',
        level: 'error',
        streams: [
            {
                level: 'error',
                path: `${loggingPath}/${orgId}.${common_1.FAILED_LOG_NAME}`,
            },
        ],
    });
    try {
        debug({ integrationId, locationUrl, target, errorData: { ...errorData } }, 'Failed to import target');
        log.error({ integrationId, locationUrl, target, errorData: { ...errorData } }, 'Failed to import target');
    }
    catch (e) {
        log.error({ integrationId, locationUrl, target, errorData: { ...errorData } }, 'Failed to log failed imports at location');
        debug('Failed to log failed imports at location: ', loggingPath);
        // do nothing
    }
}
exports.logFailedImports = logFailedImports;
//# sourceMappingURL=log-failed-imports.js.map