"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logFailedOrg = void 0;
const debugLib = require("debug");
const bunyan = require("bunyan");
const lib_1 = require("../lib");
const common_1 = require("../common");
const debug = debugLib('snyk:create-orgs-script');
async function logFailedOrg(groupId, origName, errorMessage, loggingPath = lib_1.getLoggingPath()) {
    const log = bunyan.createLogger({
        name: 'snyk:create-orgs-script',
        level: 'error',
        streams: [
            {
                level: 'error',
                path: `${loggingPath}/${groupId}.${common_1.FAILED_ORG_LOG_NAME}`,
            },
        ],
    });
    try {
        log.error({ origName, groupId, errorMessage }, 'Failed to create org');
    }
    catch (e) {
        debug('Failed to log failed organizations at location: ', e);
        // do nothing
    }
}
exports.logFailedOrg = logFailedOrg;
//# sourceMappingURL=log-failed-org.js.map