"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logFailedPollUrls = void 0;
const bunyan = require("bunyan");
const debugLib = require("debug");
const lib_1 = require("./../lib");
const common_1 = require("./../common");
const debug = debugLib('snyk:import-projects-script');
async function logFailedPollUrls(locationUrl, errorData, loggingPath = lib_1.getLoggingPath()) {
    try {
        const orgId = locationUrl.split('/').slice(-5)[0];
        const log = bunyan.createLogger({
            name: 'snyk:import-projects-script',
            level: 'error',
            streams: [
                {
                    level: 'error',
                    path: `${loggingPath}/${orgId}.${common_1.FAILED_POLLS_LOG_NAME}`,
                },
            ],
        });
        debug({ orgId, locationUrl, ...errorData }, 'Failed to poll url');
        log.error({ orgId, locationUrl, ...errorData }, 'Failed to poll url');
    }
    catch (e) {
        // do nothing
    }
}
exports.logFailedPollUrls = logFailedPollUrls;
//# sourceMappingURL=log-failed-polls.js.map