"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logFailedSync = void 0;
const debugLib = require("debug");
const bunyan = require("bunyan");
const lib_1 = require("../lib");
const common_1 = require("../common");
const debug = debugLib('snyk:failed-to-sync-orgs');
async function logFailedSync(orgId, target, errorMessage, loggingPath = lib_1.getLoggingPath()) {
    const log = bunyan.createLogger({
        name: 'sync',
        level: 'error',
        streams: [
            {
                level: 'error',
                path: `${loggingPath}/${orgId}.${common_1.FAILED_SYNC_LOG_NAME}`,
            },
        ],
    });
    try {
        log.error({ orgId, target, errorMessage }, `Failed to sync target`);
    }
    catch (e) {
        debug('Failed to log failed sync', { orgId, target, errorMessage });
        // do nothing
    }
}
exports.logFailedSync = logFailedSync;
//# sourceMappingURL=log-failed-sync.js.map