"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logFailedToUpdateProjects = void 0;
const bunyan = require("bunyan");
const common_1 = require("./../common");
const lib_1 = require("./../lib");
async function logFailedToUpdateProjects(orgId, updated, loggingPath = lib_1.getLoggingPath()) {
    try {
        const log = bunyan.createLogger({
            name: 'snyk:sync-org-projects',
            level: 'info',
            streams: [
                {
                    level: 'info',
                    path: `${loggingPath}/${orgId}.${common_1.FAILED_UPDATE_PROJECTS_LOG_NAME}`,
                },
            ],
        });
        updated.forEach((update) => {
            var _a, _b, _c, _d, _e;
            log.info({
                orgId,
                projectPublicId: update.projectPublicId,
                from: update.from,
                to: update.to,
                update: update.type,
                dryRun: String(update.dryRun),
                target: {
                    id: (_a = update.target) === null || _a === void 0 ? void 0 : _a.id,
                    origin: (_b = update.target) === null || _b === void 0 ? void 0 : _b.attributes.origin,
                    displayName: (_c = update.target) === null || _c === void 0 ? void 0 : _c.attributes.displayName,
                    remoteUrl: (_e = (_d = update.target) === null || _d === void 0 ? void 0 : _d.attributes.remoteUrl) !== null && _e !== void 0 ? _e : undefined,
                },
                error: update.errorMessage,
            }, `Snyk project "${update.type}" update failed`);
        });
    }
    catch (e) {
        // do nothing
    }
}
exports.logFailedToUpdateProjects = logFailedToUpdateProjects;
//# sourceMappingURL=log-failed-to-update-projects.js.map