"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logImportJobsPerOrg = void 0;
const bunyan = require("bunyan");
const debugLib = require("debug");
const lib_1 = require("./../lib");
const common_1 = require("./../common");
const debug = debugLib('snyk:import-projects-script');
async function logImportJobsPerOrg(orgId, pollingUrl, loggingPath = lib_1.getLoggingPath()) {
    try {
        const log = bunyan.createLogger({
            name: 'snyk:import-projects-script',
            level: 'info',
            streams: [
                {
                    level: 'info',
                    path: `${loggingPath}/${orgId}.${common_1.IMPORT_JOBS_LOG_NAME}`,
                },
            ],
        });
        debug({ orgId, pollingUrl }, 'Kicked off import');
        log.info({ orgId, pollingUrl }, 'Kicked off import');
    }
    catch (e) {
        // do nothing
    }
}
exports.logImportJobsPerOrg = logImportJobsPerOrg;
//# sourceMappingURL=log-import-jobs.js.map