"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logImportedBatch = void 0;
const bunyan = require("bunyan");
const debugLib = require("debug");
const lib_1 = require("./../lib");
const common_1 = require("./../common");
const debug = debugLib('snyk:import-projects-script');
async function logImportedBatch(message, loggingPath = lib_1.getLoggingPath()) {
    try {
        const fileName = `${loggingPath}/${common_1.IMPORTED_BATCHES_LOG_NAME}`;
        const log = bunyan.createLogger({
            name: 'snyk:import-projects-script',
            level: 'info',
            streams: [
                {
                    level: 'info',
                    path: fileName,
                },
            ],
        });
        debug({ message }, 'Kicked off import');
        log.info({ message }, 'Kicked off import');
        return fileName;
    }
    catch (e) {
        // do nothing
    }
}
exports.logImportedBatch = logImportedBatch;
//# sourceMappingURL=log-imported-batch.js.map