"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logImportedProjects = void 0;
const bunyan = require("bunyan");
const debugLib = require("debug");
const lib_1 = require("./../lib");
const common_1 = require("./../common");
const debug = debugLib('snyk:import-projects-script');
async function logImportedProjects(locationUrl, projects, loggingPath = lib_1.getLoggingPath()) {
    try {
        projects.forEach((project) => {
            const projectId = project.projectUrl.split('/').slice(-1)[0];
            const orgId = locationUrl.split('/').slice(-5)[0];
            const log = bunyan.createLogger({
                name: 'snyk:import-projects-script',
                level: 'info',
                streams: [
                    {
                        level: 'info',
                        path: `${loggingPath}/${orgId}.${common_1.IMPORTED_PROJECTS_LOG_NAME}`,
                    },
                ],
            });
            debug({ orgId, locationUrl, projectId, ...project }, 'Imported project');
            log.info({ orgId, locationUrl, projectId, ...project }, 'Imported project');
        });
    }
    catch (e) {
        // do nothing
    }
}
exports.logImportedProjects = logImportedProjects;
//# sourceMappingURL=log-imported-projects.js.map