"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logJobResult = void 0;
const bunyan = require("bunyan");
const common_1 = require("./../common");
const lib_1 = require("./../lib");
async function logJobResult(locationUrl, data, loggingPath = lib_1.getLoggingPath()) {
    try {
        const log = bunyan.createLogger({
            name: 'snyk:import-projects-script',
            level: 'info',
            streams: [
                {
                    level: 'info',
                    path: `${loggingPath}/${common_1.IMPORT_JOB_RESULTS}`,
                },
            ],
        });
        log.info({ locationUrl, ...data }, 'Import job result');
    }
    catch (e) {
        // do nothing
    }
}
exports.logJobResult = logJobResult;
//# sourceMappingURL=log-job-result.js.map