import type { FilePath, SnykProject, Target } from '../lib/types';
import { SupportedIntegrationTypesToListSnykTargets } from '../lib/types';
export interface ImportTarget {
    orgId: string;
    integrationId: string;
    target: Target;
    files?: FilePath[];
    exclusionGlobs?: string;
}
export declare function projectToTarget(project: Pick<SnykProject, 'name' | 'branch'>): Target;
export declare function bitbucketServerProjectToTarget(project: Pick<SnykProject, 'name' | 'branch'>): Target;
export declare function gitlabProjectToImportLogTarget(project: Pick<SnykProject, 'name' | 'branch'>): Target;
export declare function imageProjectToTarget(project: Pick<SnykProject, 'name'>): Target;
export declare const targetGenerators: {
    github: typeof projectToTarget;
    gitlab: typeof gitlabProjectToImportLogTarget;
    "github-enterprise": typeof projectToTarget;
    "bitbucket-cloud": typeof projectToTarget;
    gcr: typeof imageProjectToTarget;
    "docker-hub": typeof imageProjectToTarget;
    "azure-repos": typeof projectToTarget;
    "bitbucket-server": typeof bitbucketServerProjectToTarget;
};
interface SnykOrg {
    id: string;
    slug?: string;
    name?: string;
}
export declare function generateSnykImportedTargets(id: {
    groupId?: string;
    orgId?: string;
}, integrationTypes: SupportedIntegrationTypesToListSnykTargets[]): Promise<{
    targets: ImportTarget[];
    fileName: string;
    failedOrgs: SnykOrg[];
}>;
export {};
