"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.importSingleTarget = void 0;
const debugLib = require("debug");
const common_1 = require("../../common");
const lib_1 = require("../../lib");
const debug = debugLib('snyk:import-single-target');
// TODO: when branch is missing make sure to capture & log as failed
// TODO: when Snyk Github credentials are invalid, stop early
async function importSingleTarget(requestManager, orgId, integrationId, target, filesToImport = [], excludeFolders, loggingPath) {
    var _a;
    const files = filesToImport.map((f) => ({ path: f }));
    const { pollingUrl } = await lib_1.importTarget(requestManager, orgId, integrationId, target, files, `${excludeFolders},${common_1.defaultExclusionGlobs.join(',')}`, loggingPath);
    debug(`Polling for updates`);
    const res = await lib_1.pollImportUrls(requestManager, [pollingUrl]);
    debug(`Finished polling, discovered ${(_a = res.projects) === null || _a === void 0 ? void 0 : _a.length} projects`);
    return res;
}
exports.importSingleTarget = importSingleTarget;
//# sourceMappingURL=import-target.js.map