import { requestsManager } from 'snyk-request-manager';
import type { SnykTarget, SyncTargetsConfig } from '../../lib/types';
import { SupportedIntegrationTypesUpdateProject } from '../../lib/types';
import type { ProjectUpdateFailure } from './sync-projects-per-target';
import type { ProjectUpdate } from './sync-projects-per-target';
export declare function isSourceConfigured(origin: SupportedIntegrationTypesUpdateProject): () => void;
export declare function updateOrgTargets(publicOrgId: string, sources: SupportedIntegrationTypesUpdateProject[], sourceUrl: string | undefined, config?: SyncTargetsConfig): Promise<{
    fileName: string;
    failedFileName?: string;
    processedTargets: number;
    failedTargets: number;
    meta: {
        projects: {
            updated: ProjectUpdate[];
            failed: ProjectUpdateFailure[];
        };
    };
}>;
export declare function updateTargets(requestManager: requestsManager, orgId: string, targets: SnykTarget[], integrationId: string, sourceUrl: string | undefined, config?: SyncTargetsConfig): Promise<{
    failedTargets: number;
    processedTargets: number;
    meta: {
        projects: {
            updated: ProjectUpdate[];
            failed: ProjectUpdateFailure[];
        };
    };
}>;
