import type { requestsManager } from 'snyk-request-manager';
import type { SnykProject, SnykTarget, Target, RepoMetaData, SyncTargetsConfig } from '../../lib/types';
import { ProjectUpdateType } from '../../lib/types';
import { SupportedIntegrationTypesUpdateProject } from '../../lib/types';
export declare function getMetaDataGenerator(origin: SupportedIntegrationTypesUpdateProject): (target: Target, host?: string | undefined) => Promise<RepoMetaData>;
export declare function getTargetConverter(origin: SupportedIntegrationTypesUpdateProject): (target: SnykTarget) => Target;
export declare function syncProjectsForTarget(requestManager: requestsManager, orgId: string, target: SnykTarget, integrationId: string, host: string | undefined, config?: SyncTargetsConfig): Promise<{
    updated: ProjectUpdate[];
    failed: ProjectUpdateFailure[];
}>;
export interface ProjectUpdate {
    projectPublicId: string;
    type: ProjectUpdateType;
    from: string;
    to: string;
    dryRun: boolean;
    target?: SnykTarget;
}
export interface ProjectUpdateFailure extends ProjectUpdate {
    errorMessage: string;
}
export declare function bulkUpdateProjectsBranch(requestManager: requestsManager, orgId: string, projects: SnykProject[], branch: string, dryRun?: boolean): Promise<{
    updated: ProjectUpdate[];
    failed: ProjectUpdateFailure[];
}>;
export declare function bulkDeactivateProjects(requestManager: requestsManager, orgId: string, projects?: SnykProject[], dryRun?: boolean): Promise<{
    updated: ProjectUpdate[];
    failed: ProjectUpdateFailure[];
}>;
export declare function bulkImportTargetFiles(requestManager: requestsManager, orgId: string, files: string[] | undefined, integrationId: string, target: Target, dryRun?: boolean, concurrentFilesImport?: number): Promise<{
    updated: ProjectUpdate[];
    failed: ProjectUpdateFailure[];
}>;
export declare function snykTargetConverter(target: SnykTarget): Target;
