"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeFile = void 0;
const fs = require("fs");
const debugLib = require("debug");
const lib_1 = require("./lib");
const debug = debugLib('snyk:write-file');
async function writeFile(name, content) {
    const ROOT_DIR = lib_1.getLoggingPath();
    const filename = `${ROOT_DIR}/${name}`;
    try {
        await fs.writeFileSync(filename, JSON.stringify(content));
        return filename;
    }
    catch (error) {
        debug(error);
        throw new Error(`Failed to write to file: ${filename}`);
    }
}
exports.writeFile = writeFile;
//# sourceMappingURL=write-file.js.map